/**
 * @stable [07.06.2020]
 */
export declare class MiddlewareFactories {
    static readonly chainedMiddleware: <TPayload, TState>(config: import("core/definition/middleware-definition.interface").IChainedMiddlewareConfigEntity<TState, TPayload>) => import("../../../../../../Work/react-application-core/node_modules/redux-effects-promise/effects.interface").IEffectsAction[];
    static readonly lazyLoadedEntityMiddleware: <TPayload = {}, TState = {}, TDefaultChanges = {}>(config: import("core/definition/middleware-definition.interface").IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>) => import("../../../../../../Work/react-application-core/node_modules/redux-effects-promise/effects.interface").IEffectsAction[];
    static readonly loadedListOnNavigateToFirstPageMiddleware: <TState = {}>(cfg: import("core/definition/middleware-definition.interface").ILoadedListOnNavigateToPageMiddlewareConfigEntity<TState>) => import("../../../../../../Work/react-application-core/node_modules/redux-effects-promise/effects.interface").IEffectsAction[];
    static readonly loadedListOnNavigateToLastPageMiddleware: <TState = {}>(cfg: import("core/definition/middleware-definition.interface").ILoadedListOnNavigateToPageMiddlewareConfigEntity<TState>) => import("../../../../../../Work/react-application-core/node_modules/redux-effects-promise/effects.interface").IEffectsAction[];
    static readonly loadedListOnNavigateToNextPageMiddleware: <TState = {}>(cfg: import("core/definition/middleware-definition.interface").ILoadedListOnNavigateToPageMiddlewareConfigEntity<TState>) => import("../../../../../../Work/react-application-core/node_modules/redux-effects-promise/effects.interface").IEffectsAction[];
    static readonly loadedListOnNavigateToPreviousPageMiddleware: <TState = {}>(cfg: import("core/definition/middleware-definition.interface").ILoadedListOnNavigateToPageMiddlewareConfigEntity<TState>) => import("../../../../../../Work/react-application-core/node_modules/redux-effects-promise/effects.interface").IEffectsAction[];
    static readonly untouchedListMiddleware: <TState = {}>(config: import("core/definition/middleware-definition.interface").IUntouchedListMiddlewareConfigEntity<TState, {}>) => import("../../../../../../Work/react-application-core/node_modules/redux-effects-promise/effects.interface").IEffectsAction[];
}
