/// <reference types="react" />
import { IBasicListProps } from '../../../definition';
import { EnhancedGenericComponent } from '../../base/enhanced-generic.component';
/**
 * @component-impl
 * @stable [11.06.2020]
 */
export declare class BasicList extends EnhancedGenericComponent<IBasicListProps> {
    /**
     * @stable [04.05.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [11.06.2020]
     * @returns {IBasicListProps}
     */
    protected readonly settingsProps: IBasicListProps;
}
