/// <reference types="react" />
import { GenericBaseComponent } from '../../base/generic-base.component';
import { IListItemProps } from '../../../definition';
/**
 * @component-impl
 * @stable [01.06.2020]
 */
export declare class ListItem extends GenericBaseComponent<IListItemProps> {
    /**
     * @stable [01.06.2020]
     * @param {IListItemProps} props
     */
    constructor(props: IListItemProps);
    /**
     * @stable [01.06.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [01.06.2020]
     * @param {ISelectedElementClassNameWrapper} context
     * @param {IListItemProps} mergedProps
     * @returns {React.DetailedHTMLProps<React.HTMLAttributes<HTMLLIElement>, HTMLLIElement>}
     */
    private getItemProps;
    /**
     * @stable [01.06.2020]
     */
    private onClick;
    /**
     * @stable [01.06.2020]
     * @param {IListItemProps} mergedProps
     * @returns {JSX.Element}
     */
    private getIconElement;
    /**
     * @stable [02.06.2020]
     * @returns {IListItemProps}
     */
    protected readonly settingsProps: IListItemProps;
}
