import { TabPanelContainer } from '../tab-panel.container';
import { IFormTabPanelContainerProps, IReduxActiveValueHolderEntity } from '../../../definition';
/**
 * @component-container-impl
 * @stable [09.05.2020]
 *
 * Please use the "Mappers.formTabPanelContainerProps"
 */
export declare class FormTabPanelContainer extends TabPanelContainer<IFormTabPanelContainerProps> {
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    protected dispatchActiveValue(value: number): void;
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    protected dispatchInactiveValue(value: number): void;
    /**
     * @stable [12.04.2020]
     * @returns {IReduxActiveValueHolderEntity}
     */
    protected readonly activeValueEntity: IReduxActiveValueHolderEntity;
}
