/**
 * @stable [17.05.2020]
 */
export declare class DefaultEntities {
    static readonly COMPACT_FORM_ENTITY: Readonly<import("core/definition/form-definition.interface").IPresetsFormEntity<import("core/definitions.interface").IEntity>>;
    static readonly COMPONENTS_SETTINGS_ENTITY: Readonly<import("core/definition/settings-definition.interface").IComponentsSettingsEntity>;
    static readonly CURRENCY_PRECISION_VALUE: number;
    static readonly DICTIONARY_PAGED_ENTITY: Readonly<import("core/definition/page-definition.interface").IReduxPagedEntity>;
    static readonly DOM_RIGHT_POSITION_CONFIG_ENTITY: Readonly<import("core/definition/dom-definition.interface").IDomPositionConfigEntity<HTMLElement>>;
    static readonly FIRST_PAGE: number;
    static readonly INITIAL_REDUX_LIST_ENTITY: Readonly<import("core/definition/list-definition.interface").IReduxListEntity<import("core/definitions.interface").IEntity, any>>;
    static readonly INITIAL_REDUX_STACK_ENTITY: Readonly<import("core/definition/stack-definition.interface").IReduxStackEntity>;
    static readonly LOCAL_PAGE_SIZE: number;
    static readonly NOT_CHANGEABLE_FIELD_ENTITY: Readonly<import("core/definition/field-definition.interface").IPresetsFieldEntity>;
    static readonly NOT_SELECTABLE_LIST_ENTITY: Readonly<import("core/definition/list-definition.interface").IPresetsListEntity<import("core/definitions.interface").IEntity>>;
    static readonly PAGED_ENTITY: Readonly<import("core/definition/page-definition.interface").IReduxPagedEntity>;
    static readonly PAGINATED_SINGLE_ENTITY: Readonly<import("core/definition/page-definition.interface").IReduxPaginatedEntity>;
    static readonly PLACE_FIELD_ENTITY: Readonly<import("core/definition/place-definition.interface").IPlaceFieldProps>;
    static readonly QUICK_SEARCH_FIELD_ENTITY: Readonly<import("core/definition/select-definition.interface").IPresetsBaseSelectEntity>;
    static readonly ROOT_SECTION: string;
    static readonly ZIP_CODE_FIELD_ENTITY: Readonly<import("core/definition/place-definition.interface").IPlaceFieldProps>;
}
