"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @default-entity
 * @stable [24.01.2020]
 */
exports.DEFAULT_FILTERED_MENU_ENTITY = Object.freeze({
    useFilter: true,
});
/**
 * @default-entity
 * @stable [24.01.2020]
 */
exports.DEFAULT_REMOTE_FILTERED_MENU_ENTITY = Object.freeze(__assign({}, exports.DEFAULT_FILTERED_MENU_ENTITY, { remoteFilter: true }));
/**
 * @classes
 * @stable [07.07.2020]
 */
var MenuClassesEnum;
(function (MenuClassesEnum) {
    MenuClassesEnum["MENU"] = "rac-menu";
    MenuClassesEnum["MENU_APPLY_ACTION"] = "rac-menu__apply-action";
    MenuClassesEnum["MENU_EMPTY_MESSAGE"] = "rac-menu__empty-message";
    MenuClassesEnum["MENU_FILTER"] = "rac-menu__filter";
    MenuClassesEnum["MENU_HEIGHT_RESTRICTED"] = "rac-menu-height-restricted";
    MenuClassesEnum["MENU_ICON_CLOSE"] = "rac-menu__icon-close";
    MenuClassesEnum["MENU_INLINE_OPTIONS"] = "rac-menu__inline-options";
})(MenuClassesEnum = exports.MenuClassesEnum || (exports.MenuClassesEnum = {}));
//# sourceMappingURL=menu-definition.interface.js.map