import { IEntity } from '../definitions.interface';
import { IReduxHolderFormEntity } from '../definition';
/**
 * @stable [11.05.2020]
 */
export declare class FormEntityUtils {
    static readonly inProgress: <TEntity = IEntity>(entity: IReduxHolderFormEntity<TEntity>) => boolean;
    static readonly inValid: <TEntity = IEntity>(entity: IReduxHolderFormEntity<TEntity>) => boolean;
    static readonly isChanged: <TEntity = IEntity>(entity: IReduxHolderFormEntity<TEntity>) => boolean;
    static readonly isTouched: <TEntity = IEntity>(entity: IReduxHolderFormEntity<TEntity>) => boolean;
}
